Subject: Listen and Notify

From: [email-masked]
Date: Wed, 10 Mar 93 14:08:20 -0800

On 13 Oct 92, when asked in what version do the postgres
features listen and notify work, Case replied

> They did work, but they did not work reliably.  I was doing some
> database table scans/updates from a signal handler as part of the
> notify handling.  This would cause deadlock.  We removed the features
> from the subsequent release.  I will make notify/listen more robust
> and less disk intensive in the next release.

I noticed that notify/listen are not implemented in 4.1
since I am keen on using these features on my system (which was
designed assuming that listen/notify do actually work), could you please
tell is there any realistic chance that these features will soon
be (if at all) in postgres. If so when?

Khalil El-hindi